Bug 1922919 - catalog operator causing CPU spikes and bad etcd performance
Summary: catalog operator causing CPU spikes and bad etcd performance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Ben Luddy
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1920526
Blocks: 1928263
TreeView+ depends on / blocked
 
Reported: 2021-02-01 05:06 UTC by OpenShift BugZilla Robot
Modified: 2021-02-24 13:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 07:51:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1989 0 None closed [release-4.6] Bug 1922919: Fix zero-delay resyncs for certain registry update policies. 2021-02-17 11:38:07 UTC
Red Hat Knowledge Base (Solution) 5759731 0 None None None 2021-02-24 13:08:42 UTC
Red Hat Product Errata RHBA-2021:0424 0 None None None 2021-02-17 19:25:32 UTC

Comment 3 Bruno Andrade 2021-02-08 15:53:04 UTC
Created 15 Catalog Source I don't see any significant cpu consumption and I see the updateStrategy reflecting the changes proposed in PR:

OCP Version: 4.6.0-0.nightly-2021-02-05-192240
OLM version: 0.16.1
git commit: c3913d239a01d7067069060935a49073818ffe32

oc get pods -n openshift-marketplace
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-4j9t8               1/1     Running   0          3h45m
community-operators-xp75x               1/1     Running   0          3h53m
iib-1-zqmbr                             1/1     Running   0          7m19s
iib-10-zczh9                            1/1     Running   0          106s
iib-11-bl9df                            1/1     Running   0          91s
iib-12-pg7bh                            1/1     Running   0          82s
iib-13-4g4zm                            1/1     Running   0          52s
iib-14-vq646                            1/1     Running   0          44s
iib-15-28mvj                            1/1     Running   0          35s
iib-2-xcgg4                             1/1     Running   0          7m9s
iib-3-mwb6w                             1/1     Running   0          6m28s
iib-4-mh2fb                             1/1     Running   0          6m16s
iib-5-bh5lk                             1/1     Running   0          4m19s
iib-6-vlm72                             1/1     Running   0          2m37s
iib-7-hwcjq                             1/1     Running   0          2m27s
iib-8-v848h                             1/1     Running   0          2m12s
iib-9-xvtrh                             1/1     Running   0          2m1s
marketplace-operator-6b79bc6764-rm5wf   1/1     Running   0          10h
qe-app-registry-slrph                   1/1     Running   0          7h8m
redhat-marketplace-fm25l                1/1     Running   0          10h
redhat-operators-xz889                  1/1     Running   0          43m


oc get catalogsource redhat-operators -o yaml -n openshift-marketplace 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  annotations:
    operatorframework.io/managed-by: marketplace-operator
  creationTimestamp: "2021-02-08T04:35:42Z"
  generation: 1
spec:
  displayName: Red Hat Operators
  icon:
    base64data: ""
    mediatype: ""
  image: registry.redhat.io/redhat/redhat-operator-index:v4.6
  priority: -100
  publisher: Red Hat
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 10m0s
status:
  connectionState:
    address: redhat-operators.openshift-marketplace.svc:50051
    lastConnect: "2021-02-08T15:37:41Z"
    lastObservedState: READY
  latestImageRegistryPoll: "2021-02-08T15:37:41Z"
  registryService:
    createdAt: "2021-02-08T05:01:37Z"
    port: "50051"
    protocol: grpc
    serviceName: redhat-operators
    serviceNamespace: openshift-marketplace

LGTM, marking as VERIFIED.

Comment 5 errata-xmlrpc 2021-02-17 19:25:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0424


Note You need to log in before you can comment on or make changes to this bug.